

.sidenav-wrapper{
    display: flex;
    flex-flow: column;
    position: sticky;
    background-color: white;
    top: 0;
    left: 0;
    height: 100%;
    box-shadow: 2px 0px 6px -2px rgba(0,0,0,0.65);
    -webkit-box-shadow: 2px 0px 6px -2px rgba(0,0,0,0.65);
    -moz-box-shadow: 2px 0px 6px -2px rgba(0,0,0,0.65);
    z-index: 3;
    transform: translateX(-500px);
    transition: all 800ms ease;
}

.sidenav-wrapper-visible{
    transform: translateX(0px);
    transition: all 500ms ease;
    position: sticky;
    background-color: white;
    height: 100%;
    z-index: 3;
}

.sidenav-header{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 5rem;
    background-color: black;
    img{
        padding: 1rem;
    }
}

.nav-items-wrapper{
    display: flex;
    justify-content: center;
}

.nav-items{
    margin: 1rem 0;
    display: flex;
    flex-flow: column;
    list-style: none;
    li{
        padding: 1rem 2rem;
        cursor: pointer;
    }
    li:hover{
        background-color: rgb(227, 248, 255);
        border-left: 3px solid rgb(84, 84, 255);
    }
}

.mid-border{
    align-self: center;
    height: 1px;
    width: 80%;
    background-color: rgba(128, 128, 128, 0.561);
}

@media screen and (max-width: 700px) {
    .sidenav-wrapper{
        display: none;
    }
}
